Skip to main content
GET
/
api
/
v2
/
network
/
offers
List offers
curl --request GET \
  --url https://{domain}/api/v2/network/offers \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://{domain}/api/v2/network/offers"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://{domain}/api/v2/network/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "offers": [
      {
        "id": 123,
        "title_info": {
          "image": "<string>",
          "name": "<string>",
          "advertiser": {
            "id": 123,
            "company_name": "<string>"
          }
        },
        "status": 123,
        "availability": {
          "visible_type": 123,
          "visible_type_selected": [
            {
              "id": 123,
              "title": "<string>",
              "requests": [
                {}
              ]
            }
          ],
          "affiliates_count": 123
        },
        "revenue": [
          {
            "goal_id": 123,
            "goal_name": "<string>",
            "value": "<string>",
            "currency": "<string>",
            "goalType": {
              "id": 123,
              "title": "<string>",
              "color": "<string>",
              "type": "<string>"
            },
            "goal_type": 123,
            "goal_type_name": "<string>",
            "is_default": 123,
            "payoutByCountry": [
              {}
            ],
            "payoutByTier": [
              {}
            ]
          }
        ],
        "payout": [
          {
            "goal_id": 123,
            "goal_name": "<string>",
            "value": "<string>",
            "currency": "<string>",
            "goalType": {
              "id": 123,
              "title": "<string>",
              "color": "<string>",
              "type": "<string>"
            },
            "goal_type": 123,
            "goal_type_name": "<string>",
            "is_default": 123,
            "payoutByCountry": [
              {}
            ],
            "payoutByTier": [
              {}
            ]
          }
        ],
        "targeting": {
          "geo": {
            "allowed": [
              {}
            ],
            "denied": [
              {}
            ]
          }
        },
        "categories": [
          {
            "id": 123,
            "title": "<string>"
          }
        ],
        "tags": [
          {
            "id": 123,
            "title": "<string>",
            "status": 123,
            "sort": 123
          }
        ],
        "external_id": "<string>",
        "performance": {
          "cr": "<string>",
          "ar": "<string>",
          "epc": "<string>"
        },
        "conversions": {
          "key": "<string>",
          "current": {
            "ranges": [
              "<string>"
            ],
            "series": [
              123
            ],
            "total": 123,
            "total_change": 123
          },
          "previous": {
            "ranges": [
              "<string>"
            ],
            "series": [
              123
            ],
            "total": 123,
            "total_change": 123
          }
        },
        "daily_caps": {
          "value": 123,
          "limit": 123
        },
        "weekly_caps": {
          "value": 123,
          "limit": 123
        },
        "monthly_caps": {
          "value": 123,
          "limit": 123
        },
        "total_caps": {
          "value": 123,
          "limit": 123
        },
        "conversions_today": 123,
        "conversions_yesterday": 123,
        "traffic_types": {
          "allowed": [
            {}
          ],
          "denied": [
            {}
          ]
        }
      }
    ]
  }
}
{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}
{
"message": "API key is invalid or missing.",
"success": false
}
{
"message": "This endpoint is not available for your role.",
"success": false
}
{
"message": "Resource not found.",
"success": false
}
{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Query Parameters

page
integer

Page number for pagination.

perPage
integer

Number of items per page.

sortField
string

Field name to sort by. Use 'performance' for performance-based sorting.

sortDirection
enum<string>

Sort direction.

Available options:
asc,
desc

Search by offer title or external ID.

exact
string

Exact match search.

status
string

Filter by offer status (comma-separated).

visible_type
string

Filter by visibility type (comma-separated).

advertisers
string

Filter by advertiser IDs (comma-separated).

categories
string

Filter by category IDs (comma-separated).

countries
string

Filter by geoname IDs (comma-separated).

goalsTypes
string

Filter by goal type IDs (comma-separated).

onlyNew
string

Filter new offers only.

Filter featured offers only.

tags_ids
string

Filter by tag IDs (comma-separated).

traffic_types_ids
string

Filter by traffic type IDs (comma-separated).

currencies
string

Filter by currency codes (comma-separated).

columns
string

Comma-separated list of columns to include in response.

Response

Offers list.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object